[Index]
Used (per device) for configuring the change notification collector process & for monitoring unprocessed change notifications
Model ref.: data/DeviceChanges
The full URL would include the host-proxy name: https://[host-proxy].
Variables are enclosed in square brackets.
{
"$schema": "http://json-schema.org/draft-03/schema",
"type": "object",
"properties": {
"device_id": {
"title": "Device ID",
"description": "The resource ID of the associated device",
"type": "string",
"required": true,
"readonly": true,
"maxLength": 1024
},
"device_name": {
"title": "Device Name",
"description": "The name of the associated device",
"type": "string",
"required": true,
"maxLength": 1024
},
"device_type": {
"title": "Device Type",
"description": "The type of the associated device",
"type": "string",
"required": true,
"readonly": true,
"maxLength": 1024
},
"last_collection_time": {
"title": "Last Collection Time",
"description": "The last time the associated device was checked for changes",
"type": "string",
"readonly": true,
"maxLength": 1024
},
"notes": {
"title": "CUCM Cluster Notes",
"description": "CUCM Cluster Notes Field",
"type": "string",
"required": false,
"readonly": false,
"maxLength": 1024
},
"changes": {
"title": "Pending Change Notifications",
"description": "Pending changes for the associated device",
"type": "array",
"readonly": true,
"items": {
"type": "object",
"properties": {
"model_type": {
"title": "Model Type",
"description": "The model type of the pending changes in this section",
"type": "string",
"required": true,
"readonly": true,
"maxLength": 1024
},
"add_count": {
"title": "Add Count",
"description": "The number of pending add changes ",
"type": "integer",
"readonly": true
},
"update_count": {
"title": "Update Count",
"description": "The number of pending update changes ",
"type": "integer",
"readonly": true
},
"delete_count": {
"title": "Delete Count",
"description": "The number of pending delete changes ",
"type": "integer",
"readonly": true
}
}
}
},
"settings": {
"title": "Settings",
"description": "Change collector settings for this device",
"type": "object",
"properties": {
"polling_interval": {
"title": "Polling Interval (seconds)",
"description": "How often the change collector service will check this device for changes (seconds)",
"type": "integer",
"minimum": 300,
"maximum": 7200,
"default": 300
},
"cnf_enabled": {
"title": "Enable Change Collection",
"description": "Tick to enable change collection for this device",
"type": "boolean",
"default": true
},
"model_type_list": {
"title": "Model Type List",
"description": "Reference to a list of model types to be included or excluded for change collection.",
"type": "string",
"format": "uri",
"target": "/api/data/ModelTypeList/choices/?field=name&format=json&hierarchy=[hierarchy]&auth_token=[authtoken],
"target_attr": "name",
"maxLength": 1024,
"target_model_type": "data/ModelTypeList",
"choices": []
},
"ignored_operations": {
"title": "Ignored Operations",
"description": "Indicates which operations should not be collected.",
"type": "object",
"required": false,
"properties": {
"add": {
"title": "Add",
"description": "Do not collect \"add\" changes.",
"type": "boolean",
"required": false
},
"update": {
"title": "Update",
"description": "Do not collect \"update\" changes.",
"type": "boolean",
"required": false
},
"remove": {
"title": "Remove",
"description": "Do not collect \"remove\" changes.",
"type": "boolean",
"required": false
}
}
},
"displayed_model_types": {
"title": "Displayed Model Types",
"description": "These model types will be displayed un-grouped in the pending changes section",
"type": "array",
"items": {
"type": "object",
"properties": {
"model_type": {
"title": "Model Type",
"description": "The model type that will have counts displayed in the pending changes section",
"type": "string",
"maxLength": 1024
}
}
}
}
}
}
},
"schema_version": "0.8"
}
| Task | Call | URL | Parameters | Response |
|---|---|---|---|---|
| Get the GUI Add form. | GET | /api/data/DeviceChanges/add/ |
|
The GUI Add form of data/DeviceChanges as JSON |
The API call to the /add/ URL can only be made from a hierarchy that allows the model type to be added. The actions in the response shows the url for the POST API call to create an instance.
| Task | Call | URL | Parameters | Payload |
|---|---|---|---|---|
| Create | POST | /api/data/DeviceChanges | hierarchy=[hierarchy] |
|
tool/Transaction/[trans pkid]to inspect the created resource and its instance pkid.
| Task | Call | URL | Parameters | Payload |
|---|---|---|---|---|
| Bulk delete [pkid1],[pkid2]... | DELETE | /api/data/DeviceChanges/ | hierarchy=[hierarchy] | {"hrefs":["/api/data/DeviceChanges/[pkid1]", "/api/data/DeviceChanges/[pkid2]", ...]} |
GET http://[host-proxy]/api/data/DeviceChanges/?hierarchy=[hierarchy]&format=json
| Task | Call | URL | Parameters | Payload |
|---|---|---|---|---|
| Get a selected [export_format] of the schema and instances [pkid1], [pkid2],... of data/DeviceChanges; optionally with tag_version at [version] and Configuration Template as [configtemplate]. | POST | /api/data/DeviceChanges/export/ |
|
{ "hrefs":["/api/data/DeviceChanges/[pkid1]", "/api/data/DeviceChanges/[pkid2]",...]}} |
For export_format=json, the response is a time stamped zip file of data in JSON as in the system database. Item properties such as strings that are empty or Boolean values that are not set, are not included. The filename in the response is of the format as the example:
Content-Disposition: attachment; filename=export_2013-05-17_14:20:19.186444.json.zip
Content-Language:en
Content-Type:application/x-zip
For export_format=raw_xlsx, the response is a MS Excel spreadsheet with columns corresponding to the JSON format export and a response filename format:
Content-Disposition: attachment; filename=<resource_type>_<resource_name>_exportedsheet_CCYY-MM-DD_HH-MM-SS.xlsx
Content-Language:en
Content-Type:application/vnd.openxmlformats-officedocument.spreadsheetml.sheet
For export_format=xlsx, the response is a MS Excel spreadsheet, arranged by any Field Display Policies that apply. The columns correspond with those of a Bulk Load Template export sheet. The response filename format is:
Content-Disposition: attachment; filename=<resource_type>_<resource_name>_exportedsheet_formatted_CCYY-MM-DD_HH-MM-SS.xlsx
Content-Language:en
Content-Type:application/vnd.openxmlformats-officedocument.spreadsheetml.sheet
The XLSX format can be used to bulk load instances of data/DeviceChanges and the JSON format can be used to import instances of data/DeviceChanges.
GET http://[host-proxy]/api/data/DeviceChanges/?hierarchy=[hierarchy]
| Task | Call | URL | Parameters | Response |
|---|---|---|---|---|
| Tag | PATCH | /api/data/DeviceChanges/+tag/ |
|
| Task | Call | URL | Parameters | Response |
|---|---|---|---|---|
| Tag Version | PATCH | /api/data/DeviceChanges/+tag_version/ |
|
| Task | Call | URL | Parameters | Response |
|---|---|---|---|---|
| Field Display Policy | GET | /api/data/DeviceChanges/field_display_policy/ | hierarchy=[hierarchy] |
|
POST http://[host-proxy]/api/data/FieldDisplayPolicy/?hierarchy=[hierarchy]
| Task | Call | URL | Parameters | Response |
|---|---|---|---|---|
| List | GET | /api/data/DeviceChanges/ |
|
The data/DeviceChanges schema and all instances as JSON. |
(The list will return 0 to 3 data/DeviceChanges instances)
{
"pagination": {
"skip": 0,
"limit": 3,
"maximum_limit": 2000,
"total": 4,
"total_limit": null,
"order_by": "device_name",
"direction": "asc",
"current": "/api/data/DeviceChanges/?skip=0&limit=3&order_by=device_name&direction=asc&traversal=down"
},
"operations": [
"add",
"bulk_update_form",
"list",
"update",
"transform",
"migration",
"remove",
"export",
"help",
"configuration_template",
"field_display_policy",
"get",
"export_bulkload_template"
],
"meta": {
"model_type": "data/DeviceChanges",
"summary_attrs": [
{
"name": "device_name",
"title": "Device Name"
},
{
"name": "notes",
"title": "CUCM Cluster Notes"
},
{
"name": "device_type",
"title": "Device Type"
},
{
"name": "hierarchy_friendly_name",
"title": "Located At",
"allow_filtering": true
}
],
"tagged_versions": [],
"tags": [],
"title": "",
"business_key": {},
"api_version": "21.2",
"cached": true,
"references": {
"children": [],
"parent": [
{
"href": "/api/data/HierarchyNode/6t0ggef2c0deab00hb595101",
"pkid": "6t0ggef2c0deab00hb595101"
}
],
"device": [
{
"href": "",
"pkid": ""
}
],
"foreign_key": []
},
"model_specific_actions": [
"add",
"export",
"get",
"help",
"list",
"remove",
"tag",
"tag_version",
"field_display_policy",
"update"
],
"schema_version": "0.8",
"actions": [
{
"add": {
"method": "GET",
"class": "add",
"href": "/api/data/DeviceChanges/add/?hierarchy=[hierarchy]",
"support_async": false,
"title": "Add"
}
},
{
"remove": {
"method": "DELETE",
"class": "delete",
"href": "/api/data/DeviceChanges/?hierarchy=[hierarchy]",
"support_async": true,
"title": "Delete"
}
},
{
"export": {
"method": "POST",
"class": "export",
"href": "/api/data/DeviceChanges/export/?hierarchy=[hierarchy]",
"support_async": false,
"title": "Export",
"view": "/api/view/ExportData/add/?auth_token=[authtoken],
"submit": "payload"
}
},
{
"tag": {
"method": "PATCH",
"class": "tag",
"href": "/api/data/DeviceChanges/+tag/?hierarchy=[hierarchy]",
"support_async": true,
"title": "Tag",
"view": "/api/view/TagNameForm/add/?auth_token=[authtoken]
}
},
{
"tag_version": {
"method": "PATCH",
"class": "tag_version",
"href": "/api/data/DeviceChanges/+tag_version/?hierarchy=[hierarchy]",
"support_async": true,
"title": "Tag Version",
"view": "/api/view/TagVersionForm/add/?auth_token=[authtoken]
}
},
{
"field_display_policy": {
"method": "GET",
"class": "display_policy",
"href": "/api/data/DeviceChanges/field_display_policy/?hierarchy=[hierarchy]",
"support_async": false,
"title": "Field Display Policy"
}
},
{
"list": {
"method": "GET",
"class": "list",
"href": "/api/data/DeviceChanges/?hierarchy=[hierarchy]",
"support_async": false,
"title": "List"
}
},
{
"help": {
"method": "GET",
"class": "help",
"href": "/api/data/DeviceChanges/help?hierarchy=[hierarchy]",
"support_async": false,
"title": "Help"
}
}
]
},
"resources": [
{
"data": {
"device_name": "[\"10.120.9.245\", \"8443\", \"hcs.CS-P.CS-NB.Overton\"]",
"device_id": "69efdaebe32dcf14ced56ba3",
"device_type": "data/CallManager",
"notes": "sol-cucm-ob-01sol-cucx-ob-01",
"settings": {
"cnf_enabled": false,
"polling_interval": 300,
"displayed_model_types": [
{
"model_type": "device/cucm/User"
},
{
"model_type": "device/cucm/Phone"
},
{
"model_type": "device/cucm/Line"
}
]
},
"pkid": "69efdaebe32dcf14ced56baa",
"hierarchy_friendly_name": "Overton (Customer)",
"hierarchy_path": "sys.hcs.CS-P.CS-NB.Overton"
},
"meta": {
"model_type": "data/DeviceChanges",
"summary_attrs": [
{
"name": "device_name",
"title": "Device Name"
},
{
"name": "notes",
"title": "CUCM Cluster Notes"
},
{
"name": "device_type",
"title": "Device Type"
},
{
"name": "hierarchy_friendly_name",
"title": "Located At",
"allow_filtering": true
}
],
"tagged_versions": [],
"tags": [],
"title": "[\"10.120.9.245\", \"8443\", \"hcs.CS-P.CS-NB.Overton\"]",
"business_key": {},
"api_version": "21.2",
"cached": true,
"references": {
"parent": [
{
"pkid": "69efdadee32dcf14ced569af",
"href": "/api/data/HierarchyNode/69efdadee32dcf14ced569af"
}
],
"device": [
{
"href": "",
"pkid": ""
}
],
"foreign_key": [
{
"pkid": "69efdaebe32dcf14ced56ba3",
"path": "device_name",
"model_type": "data/CallManager"
}
],
"owner": [
{
"pkid": ""
}
],
"self": [
{
"href": "/api/data/DeviceChanges/69efdaebe32dcf14ced56ba9/",
"pkid": "69efdaebe32dcf14ced56ba9"
}
]
},
"path": [
"6t0ggef2c0deab00hb595101",
"69ee359c62dfd021865bd21d",
"69efc87de32dcf14ced22487",
"69efc8ace32dcf14ced22910",
"69efdadee32dcf14ced569af",
"69efdaebe32dcf14ced56ba9"
],
"schema_version": "0.8",
"actions": [
{
"update": {
"method": "PUT",
"class": "update",
"href": "/api/data/DeviceChanges/69efdaebe32dcf14ced56ba9/",
"support_async": true,
"title": "Modify"
}
},
{
"remove": {
"method": "DELETE",
"class": "delete",
"href": "/api/data/DeviceChanges/69efdaebe32dcf14ced56ba9/",
"support_async": true,
"title": "Delete"
}
},
{
"export": {
"method": "GET",
"class": "export",
"href": "/api/data/DeviceChanges/69efdaebe32dcf14ced56ba9/export/",
"support_async": false,
"title": "Export",
"view": "/api/view/ExportData/add/",
"submit": "payload"
}
},
{
"tag": {
"method": "PATCH",
"class": "tag",
"href": "/api/data/DeviceChanges/69efdaebe32dcf14ced56ba9/+tag/",
"support_async": true,
"title": "Tag",
"view": "/api/view/TagNameForm/add/"
}
},
{
"tag_version": {
"method": "PATCH",
"class": "tag_version",
"href": "/api/data/DeviceChanges/69efdaebe32dcf14ced56ba9/+tag_version/",
"support_async": true,
"title": "Tag Version",
"view": "/api/view/TagVersionForm/add/"
}
},
{
"get": {
"method": "GET",
"class": "get",
"href": "/api/data/DeviceChanges/69efdaebe32dcf14ced56ba9/",
"support_async": false,
"title": "Get"
}
},
{
"help": {
"method": "GET",
"class": "help",
"href": "/api/data/DeviceChanges/69efdaebe32dcf14ced56ba9/help",
"support_async": false,
"title": "Help"
}
}
],
"summary": "false"
},
"pkid": "69efdaebe32dcf14ced56ba9"
},
{
"data": {
"device_name": "[\"192.168.100.15\", \"8443\", \"hcs.CS-P.CS-NB.AAAGlobal\"]",
"device_id": "69efc8fde32dcf14ced234ac",
"device_type": "data/CallManager",
"notes": "192.168.100.15",
"settings": {
"cnf_enabled": false,
"polling_interval": 300,
"displayed_model_types": [
{
"model_type": "device/cucm/User"
},
{
"model_type": "device/cucm/Phone"
},
{
"model_type": "device/cucm/Line"
}
]
},
"changes": [
{
"add_count": 0,
"delete_count": 0,
"update_count": 0,
"model_type": "device/cucm/User"
},
{
"add_count": 0,
"delete_count": 0,
"update_count": 0,
"model_type": "device/cucm/Phone"
},
{
"add_count": 0,
"delete_count": 0,
"update_count": 0,
"model_type": "device/cucm/Line"
}
],
"pkid": "69efc8fee32dcf14ced234c6",
"hierarchy_friendly_name": "AAAGlobal (Customer)",
"hierarchy_path": "sys.hcs.CS-P.CS-NB.AAAGlobal"
},
"meta": {
"model_type": "data/DeviceChanges",
"summary_attrs": [
{
"name": "device_name",
"title": "Device Name"
},
{
"name": "notes",
"title": "CUCM Cluster Notes"
},
{
"name": "device_type",
"title": "Device Type"
},
{
"name": "hierarchy_friendly_name",
"title": "Located At",
"allow_filtering": true
}
],
"tagged_versions": [],
"tags": [],
"title": "[\"192.168.100.15\", \"8443\", \"hcs.CS-P.CS-NB.AAAGlobal\"]",
"business_key": {},
"api_version": "21.2",
"cached": true,
"references": {
"parent": [
{
"pkid": "69efc8b6e32dcf14ced2299a",
"href": "/api/data/HierarchyNode/69efc8b6e32dcf14ced2299a"
}
],
"device": [
{
"href": "",
"pkid": ""
}
],
"foreign_key": [
{
"pkid": "69efc8fde32dcf14ced234ac",
"path": "device_name",
"model_type": "data/CallManager"
}
],
"owner": [
{
"pkid": ""
}
],
"self": [
{
"href": "/api/data/DeviceChanges/69efc8fee32dcf14ced234c4/",
"pkid": "69efc8fee32dcf14ced234c4"
}
]
},
"path": [
"6t0ggef2c0deab00hb595101",
"69ee359c62dfd021865bd21d",
"69efc87de32dcf14ced22487",
"69efc8ace32dcf14ced22910",
"69efc8b6e32dcf14ced2299a",
"69efc8fee32dcf14ced234c4"
],
"schema_version": "0.8",
"actions": [
{
"update": {
"method": "PUT",
"class": "update",
"href": "/api/data/DeviceChanges/69efc8fee32dcf14ced234c4/",
"support_async": true,
"title": "Modify"
}
},
{
"remove": {
"method": "DELETE",
"class": "delete",
"href": "/api/data/DeviceChanges/69efc8fee32dcf14ced234c4/",
"support_async": true,
"title": "Delete"
}
},
{
"export": {
"method": "GET",
"class": "export",
"href": "/api/data/DeviceChanges/69efc8fee32dcf14ced234c4/export/",
"support_async": false,
"title": "Export",
"view": "/api/view/ExportData/add/",
"submit": "payload"
}
},
{
"tag": {
"method": "PATCH",
"class": "tag",
"href": "/api/data/DeviceChanges/69efc8fee32dcf14ced234c4/+tag/",
"support_async": true,
"title": "Tag",
"view": "/api/view/TagNameForm/add/"
}
},
{
"tag_version": {
"method": "PATCH",
"class": "tag_version",
"href": "/api/data/DeviceChanges/69efc8fee32dcf14ced234c4/+tag_version/",
"support_async": true,
"title": "Tag Version",
"view": "/api/view/TagVersionForm/add/"
}
},
{
"get": {
"method": "GET",
"class": "get",
"href": "/api/data/DeviceChanges/69efc8fee32dcf14ced234c4/",
"support_async": false,
"title": "Get"
}
},
{
"help": {
"method": "GET",
"class": "help",
"href": "/api/data/DeviceChanges/69efc8fee32dcf14ced234c4/help",
"support_async": false,
"title": "Help"
}
}
],
"summary": "false"
},
"pkid": "69efc8fee32dcf14ced234c4"
},
{
"data": {
"device_name": "[\"192.168.100.16\", \"8443\", \"hcs.CS-P.CS-NB.AAAGlobal\"]",
"device_id": "69efc93ae32dcf14ced24628",
"device_type": "data/CallManager",
"notes": "192.168.100.16",
"settings": {
"cnf_enabled": false,
"polling_interval": 300,
"displayed_model_types": [
{
"model_type": "device/cucm/User"
},
{
"model_type": "device/cucm/Phone"
},
{
"model_type": "device/cucm/Line"
}
]
},
"pkid": "69efc93be32dcf14ced24656",
"hierarchy_friendly_name": "AAAGlobal (Customer)",
"hierarchy_path": "sys.hcs.CS-P.CS-NB.AAAGlobal"
},
"meta": {
"model_type": "data/DeviceChanges",
"summary_attrs": [
{
"name": "device_name",
"title": "Device Name"
},
{
"name": "notes",
"title": "CUCM Cluster Notes"
},
{
"name": "device_type",
"title": "Device Type"
},
{
"name": "hierarchy_friendly_name",
"title": "Located At",
"allow_filtering": true
}
],
"tagged_versions": [],
"tags": [],
"title": "[\"192.168.100.16\", \"8443\", \"hcs.CS-P.CS-NB.AAAGlobal\"]",
"business_key": {},
"api_version": "21.2",
"cached": true,
"references": {
"parent": [
{
"pkid": "69efc8b6e32dcf14ced2299a",
"href": "/api/data/HierarchyNode/69efc8b6e32dcf14ced2299a"
}
],
"device": [
{
"href": "",
"pkid": ""
}
],
"foreign_key": [
{
"pkid": "69efc93ae32dcf14ced24628",
"path": "device_name",
"model_type": "data/CallManager"
}
],
"owner": [
{
"pkid": ""
}
],
"self": [
{
"href": "/api/data/DeviceChanges/69efc93be32dcf14ced24651/",
"pkid": "69efc93be32dcf14ced24651"
}
]
},
"path": [
"6t0ggef2c0deab00hb595101",
"69ee359c62dfd021865bd21d",
"69efc87de32dcf14ced22487",
"69efc8ace32dcf14ced22910",
"69efc8b6e32dcf14ced2299a",
"69efc93be32dcf14ced24651"
],
"schema_version": "0.8",
"actions": [
{
"update": {
"method": "PUT",
"class": "update",
"href": "/api/data/DeviceChanges/69efc93be32dcf14ced24651/",
"support_async": true,
"title": "Modify"
}
},
{
"remove": {
"method": "DELETE",
"class": "delete",
"href": "/api/data/DeviceChanges/69efc93be32dcf14ced24651/",
"support_async": true,
"title": "Delete"
}
},
{
"export": {
"method": "GET",
"class": "export",
"href": "/api/data/DeviceChanges/69efc93be32dcf14ced24651/export/",
"support_async": false,
"title": "Export",
"view": "/api/view/ExportData/add/",
"submit": "payload"
}
},
{
"tag": {
"method": "PATCH",
"class": "tag",
"href": "/api/data/DeviceChanges/69efc93be32dcf14ced24651/+tag/",
"support_async": true,
"title": "Tag",
"view": "/api/view/TagNameForm/add/"
}
},
{
"tag_version": {
"method": "PATCH",
"class": "tag_version",
"href": "/api/data/DeviceChanges/69efc93be32dcf14ced24651/+tag_version/",
"support_async": true,
"title": "Tag Version",
"view": "/api/view/TagVersionForm/add/"
}
},
{
"get": {
"method": "GET",
"class": "get",
"href": "/api/data/DeviceChanges/69efc93be32dcf14ced24651/",
"support_async": false,
"title": "Get"
}
},
{
"help": {
"method": "GET",
"class": "help",
"href": "/api/data/DeviceChanges/69efc93be32dcf14ced24651/help",
"support_async": false,
"title": "Help"
}
}
],
"summary": "false"
},
"pkid": "69efc93be32dcf14ced24651"
}
]
}
(Show the first instance)
{
"data": {
"device_name": "[\"10.120.9.245\", \"8443\", \"hcs.CS-P.CS-NB.Overton\"]",
"device_id": "69efdaebe32dcf14ced56ba3",
"device_type": "data/CallManager",
"notes": "sol-cucm-ob-01sol-cucx-ob-01",
"settings": {
"cnf_enabled": false,
"polling_interval": 300,
"displayed_model_types": [
{
"model_type": "device/cucm/User"
},
{
"model_type": "device/cucm/Phone"
},
{
"model_type": "device/cucm/Line"
}
]
},
"changes": [
{
"add_count": 0,
"delete_count": 0,
"update_count": 0,
"model_type": "device/cucm/User"
},
{
"add_count": 0,
"delete_count": 0,
"update_count": 0,
"model_type": "device/cucm/Phone"
},
{
"add_count": 0,
"delete_count": 0,
"update_count": 0,
"model_type": "device/cucm/Line"
},
{
"add_count": 1,
"delete_count": 1,
"update_count": 0,
"model_type": "Other"
}
],
"last_collection_time": "2026-04-27T23:53:48.736000",
"pkid": "69efdaebe32dcf14ced56baa"
},
"meta": {
"model_type": "data/DeviceChanges",
"summary_attrs": [
{
"name": "device_name",
"title": "Device Name"
},
{
"name": "notes",
"title": "CUCM Cluster Notes"
},
{
"name": "device_type",
"title": "Device Type"
},
{
"name": "hierarchy_friendly_name",
"title": "Located At",
"allow_filtering": true
}
],
"tagged_versions": [],
"tags": [],
"title": "[\"10.120.9.245\", \"8443\", \"hcs.CS-P.CS-NB.Overton\"]",
"business_key": {},
"api_version": "21.2",
"cached": false,
"references": {
"parent": [
{
"href": "/api/data/HierarchyNode/69efdadee32dcf14ced569af",
"pkid": "69efdadee32dcf14ced569af"
}
],
"device": [
{
"href": "",
"pkid": ""
}
],
"foreign_key": [
{
"pkid": "69efdaebe32dcf14ced56ba3",
"path": "device_name",
"model_type": "data/CallManager"
}
],
"owner": [
{
"pkid": ""
}
],
"children": [],
"self": [
{
"href": "/api/data/DeviceChanges/69efdaebe32dcf14ced56ba9/",
"pkid": "69efdaebe32dcf14ced56ba9"
}
]
},
"path": [
"6t0ggef2c0deab00hb595101",
"69ee359c62dfd021865bd21d",
"69efc87de32dcf14ced22487",
"69efc8ace32dcf14ced22910",
"69efdadee32dcf14ced569af",
"69efdaebe32dcf14ced56ba9"
],
"schema_version": "0.8",
"actions": [
{
"update": {
"method": "PUT",
"class": "update",
"href": "/api/data/DeviceChanges/69efdaebe32dcf14ced56ba9/?hierarchy=[hierarchy]",
"support_async": true,
"title": "Modify"
}
},
{
"remove": {
"method": "DELETE",
"class": "delete",
"href": "/api/data/DeviceChanges/69efdaebe32dcf14ced56ba9/?hierarchy=[hierarchy]",
"support_async": true,
"title": "Delete"
}
},
{
"export": {
"method": "GET",
"class": "export",
"href": "/api/data/DeviceChanges/69efdaebe32dcf14ced56ba9/export/?hierarchy=[hierarchy]",
"support_async": false,
"title": "Export",
"view": "/api/view/ExportData/add/?auth_token=[authtoken],
"submit": "payload"
}
},
{
"tag": {
"method": "PATCH",
"class": "tag",
"href": "/api/data/DeviceChanges/69efdaebe32dcf14ced56ba9/+tag/?hierarchy=[hierarchy]",
"support_async": true,
"title": "Tag",
"view": "/api/view/TagNameForm/add/?auth_token=[authtoken]
}
},
{
"tag_version": {
"method": "PATCH",
"class": "tag_version",
"href": "/api/data/DeviceChanges/69efdaebe32dcf14ced56ba9/+tag_version/?hierarchy=[hierarchy]",
"support_async": true,
"title": "Tag Version",
"view": "/api/view/TagVersionForm/add/?auth_token=[authtoken]
}
},
{
"get": {
"method": "GET",
"class": "get",
"href": "/api/data/DeviceChanges/69efdaebe32dcf14ced56ba9/?hierarchy=[hierarchy]",
"support_async": false,
"title": "Get"
}
},
{
"help": {
"method": "GET",
"class": "help",
"href": "/api/data/DeviceChanges/69efdaebe32dcf14ced56ba9/help?hierarchy=[hierarchy]",
"support_async": false,
"title": "Help"
}
}
]
},
"pkid": "69efdaebe32dcf14ced56ba9"
}
| Task | Call | URL | Parameters | Response |
|---|---|---|---|---|
| Get the on-line Help for data/DeviceChanges. | GET | /api/data/DeviceChanges/help | hierarchy=[hierarchy] | On-line help of Model ref.: data/DeviceChanges as HTML |
| Task | Call | URL | Parameters | Payload |
|---|---|---|---|---|
| Modify | PUT | /api/data/DeviceChanges/[pkid] | hierarchy=[hierarchy] | (For payload specification) |
For Bulk modification, refer to the Bulk Modify section.
| Task | Call | URL | Parameters | Response |
|---|---|---|---|---|
| Delete | DELETE | /api/data/DeviceChanges/[pkid] | hierarchy=[hierarchy] |
| Task | Call | URL | Parameters | Response |
|---|---|---|---|---|
| Get a selected [export_format] of the schema and a single instance with [pkid] of data/DeviceChanges; optionally with tag_version at [version] and Configuration Template as [configtemplate]. | GET | /api/data/DeviceChanges/[pkid]/export |
|
The response is an attachment. Refer to the list below. |
For export_format=raw_xlsx, the response is a "raw" MS Excel spreadsheet with columns corresponding to the JSON format export and a response format:
Content-Disposition: attachment; filename=<resource_type>_<resource_name>_exportedsheet_CCYY-MM-DD_HH-MM-SS.xlsx
Content-Language:en
Content-Type:application/vnd.openxmlformats-officedocument.spreadsheetml.sheet
For export_format=xlsx, the response is a MS Excel spreadsheet, formatted to show all columns and a response format:
Content-Disposition: attachment; filename=<resource_type>_<resource_name>_exportedsheet_formatted_CCYY-MM-DD_HH-MM-SS.xlsx
Content-Language:en
Content-Type:application/vnd.openxmlformats-officedocument.spreadsheetml.sheet
For export_format=json, the response is a time stamped zip file of data in JSON and a response format:
Content-Disposition: attachment; filename=export_2013-05-17_14:20:19.186444.json.zip
Content-Language:en
Content-Type:application/x-zip
The XLSX format can be used to bulk load instances of data/DeviceChanges and the JSON format can be used to import instances of data/DeviceChanges.
For Bulk Export, refer to the Bulk Export section.
| Task | Call | URL | Parameters | Payload |
|---|---|---|---|---|
| Tag | PATCH | /api/data/DeviceChanges/[pkid]/+tag | hierarchy=[hierarchy] | If payload required: |
| Task | Call | URL | Parameters | Response |
|---|---|---|---|---|
| Get | GET | /api/data/DeviceChanges/[pkid] | hierarchy=[hierarchy] | The data/DeviceChanges instance with [pkid]. |
| Task | Call | URL | Parameters | Response |
|---|---|---|---|---|
| Help | GET | /api/data/DeviceChanges/[pkid]/help | hierarchy=[hierarchy] | The on-line Help for data/DeviceChanges. |